function select_all(frm)
{
  var i,slength=0;
  if (frm.sel_id==null)
  {
    return false;
  }
  var sall=frm.sel_all.checked;
  if (frm.sel_id.length)
  {
    slength=frm.sel_id.length;
    for (i=0;i<slength;i++)
    {
    frm.sel_id[i].checked=sall;
    }
  }
  else
  {
    frm.sel_id.checked=sall;
  }
}
function sel_click(frm)
{
  var i,slength=0,issel=false;
  if (frm.sel_id!=null)
  {
    if (frm.sel_id.length)
    {
      slength=frm.sel_id.length;
      for (i=0;i<slength;i++)
      {
        if (frm.sel_id[i].checked==true)
        {
            issel=true; break;
        }
      }
    }
    else
    {
        if (frm.sel_id.checked==true)
        {
            issel=true;
        }
    }
  }
  if (issel==true)
  {
    var cf=window.confirm("操作后无法恢复！是否确定执行？");
    if (cf)
    { return true; }
    else
    { return false; }
  }
  else
  {
    alert("没有选择任何记录！");
    return false;
  }
}
function sel_formall(frm)
{
    var num=frm.elements.length;
    var all_checked=frm.sel_all.checked;
    var i;
    for (i=0;i<num;i++)
    {
        if (frm.elements[i].type=="checkbox")
        {
            if(frm.elements[i].name!="sel_all")
            {
                frm.elements[i].checked=all_checked;
            }
        }
    }
}
function selectall()
{
    var num=form2.elements.length;
    var all_checked=form2.sel_all.checked;
    var i;
    for (i=0;i<num;i++)
    {
        if (form2.elements[i].type=="checkbox")
        {
            if(form2.elements[i].name!="sel_all")
            {
                form2.elements[i].checked=all_checked;
            }
        }
    }
}
function reverse1()
{
    var num=form2.elements.length;
    var i;
    for (i=0;i<num;i++)
    {
        if (form2.elements[i].type=="checkbox"&&form2.elements[i].checked==false)
        {
            form2.elements[i].checked=true;
        }
        else if (form2.elements[i].type=="checkbox"&&form2.elements[i].checked==true)
        {
            form2.elements[i].checked=false;
        }
    }
}
function sel_allmenu(frm,array_obj)
{
    var all_checked=frm.sel_all.checked;
    for (i=0;i<array_obj.length;i++)
    {
        if(document.getElementById(array_obj[i]))
        {
            document.getElementById(array_obj[i]).checked=all_checked;
        }
    }
}
function sel_allitem(menu_id)
{
    if(document.getElementById("selline_" + menu_id))
    {
        var all_checked=document.getElementById("selline_" + menu_id).checked;
        if(document.getElementById("manage_" + menu_id))
        {
            document.getElementById("manage_" + menu_id).checked=all_checked;
        }
        if(document.getElementById("view_" + menu_id))
        {
            document.getElementById("view_" + menu_id).checked=all_checked;
        }
        if(document.getElementById("add_" + menu_id))
        {
            document.getElementById("add_" + menu_id).checked=all_checked;
        }
        if(document.getElementById("edit_" + menu_id))
        {
            document.getElementById("edit_" + menu_id).checked=all_checked;
        }
        if(document.getElementById("del_" + menu_id))
        {
            document.getElementById("del_" + menu_id).checked=all_checked;
        }
    }
}